Rate customer-facing AI preview message
POST
/v1/ai/agents/{agentID}/preview/messages/{messageID}/feedbackAuthorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
agentIDstringrequiredmessageIDstringrequiredRequest body
requiredapplication/jsonfeedbackstringrequiredResponses
200OK
agent_responsestringrequiredconfidence_scorenumber<double>requiredcreated_atstringrequiredexpected_responsestringrequiredfeedbackstringidstringrequiredoriginstringrequiredrun_idstringrequiredsession_idstringrequiredstatusstringrequiredtitlestringrequiredturnsPreviewChatTurn[] | nullrequiredShow propertiesHide properties
Array of
PreviewChatTurncreated_atstringrequiredfeedbackstringidstringrequiredrolestringrequiredtextstringrequiredupdated_atstringrequireduser_messagestringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X POST "/v1/ai/agents/string/preview/messages/string/feedback" \
-H "Content-Type: application/json" \
-d '{
"feedback": "string"
}'const response = await fetch("/v1/ai/agents/string/preview/messages/string/feedback", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"feedback": "string"
})
});import requests
response = requests.post(
"/v1/ai/agents/string/preview/messages/string/feedback",
headers={
"Content-Type": "application/json"
},
json={
"feedback": "string"
},
)Response
{
"agent_response": "string",
"confidence_score": 0,
"created_at": "string",
"expected_response": "string",
"feedback": "string",
"id": "string",
"origin": "string",
"run_id": "string",
"session_id": "string",
"status": "string",
"title": "string",
"turns": [
{
"created_at": "string",
"feedback": "string",
"id": "string",
"role": "string",
"text": "string"
}
],
"updated_at": "string",
"user_message": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}